std::multimap::clear(3)

NAME
std::multimap::clear - std::multimap::clear

Synopsis
   void clear(); (until C++11)
   void clear() noexcept; (since C++11)
   Erases all elements from the container. After this call, size() returns zero.
   Invalidates any references, pointers, or iterators referring to contained elements.
   Any past-the-end iterator remains valid.

Parameters
   (none)

Return value
   (none)

Complexity
   Linear in the size of the container, i.e., the number of elements.

Example
// Run this code
 #include <algorithm>
 #include <iostream>
 #include <map>
 int main()
 {
     std::multimap<int, char> container{{1, 'x'}, {2, 'y'}, {3, 'z'}};
     auto print = [](std::pair<const int, char>& n) {
         std::cout << " " << n.first << '(' << n.second << ')';
     };
     std::cout << "Before clear:";
     std::for_each(container.begin(), container.end(), print);
     std::cout << "\nSize=" << container.size() << '\n';
     std::cout << "Clear\n";
     container.clear();
     std::cout << "After clear:";
     std::for_each(container.begin(), container.end(), print);
     std::cout << "\nSize=" << container.size() << '\n';
 }

Output:
 Before clear: 1(x) 2(y) 3(z)
 Size=3
 Clear
 After clear:
 Size=0

See also
   erase erases elements
         (public member function)